%define oname   gdk_pixbuf2
%global	header_dir	%{ruby_vendorarchdir}

Name:       ruby-%{oname}
Version:    4.2.5
Release:    %mkrel 1
Summary:    Ruby/GdkPixbuf2 is a Ruby binding of GdkPixbuf-2.x
License:    LGPLv2.1
Group:      Development/Ruby
URL:        http://ruby-gnome2.sourceforge.jp/
Source0:    https://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: pkgconfig(ruby)
BuildRequires: pkgconfig(gdk-pixbuf-2.0)
BuildRequires: rubygem(pkg-config)
BuildRequires: ruby-glib2-devel = %{version}
Provides:   ruby-gdkpixbuf2 = %{version}-%{release}
Obsoletes:  %name-devel < 3.0.7-4
BuildArch:  noarch

%description
Ruby/GdkPixbuf2 is a Ruby binding of GdkPixbuf-2.x.

%files
%{gem_instdir}
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}

#-------------------------------------------------------------------------------
%prep
%gem_setup
sed -i /s.extensions/d ../%{gem_name}-%{version}.gemspec

%build
%gem_build

%install
%gem_install
rm -f %{buildroot}%{gem_extdir_mri}/gem.build_complete


%changelog
* Wed Dec 25 2024 pterjan <pterjan> 4.2.5-1.mga10
+ Revision: 2130178
- Update to 4.2.5

* Fri Dec 06 2024 pterjan <pterjan> 4.2.4-1.mga10
+ Revision: 2122277
- Update to 4.2.4

* Mon Apr 08 2024 pterjan <pterjan> 4.2.2-1.mga10
+ Revision: 2056019
- Update to 4.2.2

* Sun May 07 2023 daviddavid <daviddavid> 4.1.4-1.mga9
+ Revision: 1956114
- new version: 4.1.4

* Wed Sep 14 2022 pterjan <pterjan> 4.0.3-1.mga9
+ Revision: 1888242
- Update to 4.0.3

* Sat Mar 26 2022 umeabot <umeabot> 3.5.1-2.mga9
+ Revision: 1828633
- Mageia 9 Mass Rebuild

* Sat Feb 26 2022 pterjan <pterjan> 3.5.1-1.mga9
+ Revision: 1785373
- Update to 3.5.1

* Tue Mar 03 2020 pterjan <pterjan> 3.4.1-1.mga8
+ Revision: 1553218
- Update to 3.4.1

* Sat Feb 15 2020 umeabot <umeabot> 3.3.6-2.mga8
+ Revision: 1527190
- Mageia 8 Mass Rebuild

* Tue Jul 09 2019 pterjan <pterjan> 3.3.6-1.mga8
+ Revision: 1419801
- Update to 3.3.6

* Sat Jan 26 2019 pterjan <pterjan> 3.3.1-1.mga7
+ Revision: 1360946
- Update to 3.3.1

* Sun Nov 04 2018 pterjan <pterjan> 3.3.0-1.mga7
+ Revision: 1328309
- Update to 3.3.0

* Fri Sep 21 2018 umeabot <umeabot> 3.2.9-2.mga7
+ Revision: 1290955
- Mageia 7 Mass Rebuild

* Wed Aug 29 2018 pterjan <pterjan> 3.2.9-1.mga7
+ Revision: 1255422
- Update to 3.2.9

* Mon Jun 18 2018 pterjan <pterjan> 3.2.7-1.mga7
+ Revision: 1237810
- Update to 3.2.7

* Thu May 17 2018 pterjan <pterjan> 3.2.5-1.mga7
+ Revision: 1230167
- Update to 3.2.5

* Mon Apr 23 2018 pterjan <pterjan> 3.2.4-1.mga7
+ Revision: 1221926
- Update to 3.2.4

* Mon Apr 02 2018 pterjan <pterjan> 3.2.2-1.mga7
+ Revision: 1214628
- Update to 3.2.2

* Sun Apr 01 2018 pterjan <pterjan> 3.2.1-1.mga7
+ Revision: 1214130
- Update to 3.2.1

* Sat Sep 16 2017 pterjan <pterjan> 3.1.8-1.mga7
+ Revision: 1154751
- Disable better native-package-installer
- Update to 3.1.8
- Rebuild for new Ruby

* Sun Dec 20 2015 tv <tv> 3.0.7-2.mga6
+ Revision: 912639
- remove bogus mv

* Sun Nov 01 2015 tv <tv> 3.0.7-1.mga6
+ Revision: 897069
- adjust file list
- new release + sync patches with FC

* Wed Oct 15 2014 umeabot <umeabot> 2.0.2-8.mga5
+ Revision: 749273
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.0.2-7.mga5
+ Revision: 688808
- Mageia 5 Mass Rebuild

* Sat Dec 28 2013 pterjan <pterjan> 2.0.2-6.mga4
+ Revision: 561222
- Fix gem macros

* Fri Dec 27 2013 pterjan <pterjan> 2.0.2-5.mga4
+ Revision: 560971
- Fix file list now that gem_install is fixed

* Thu Dec 19 2013 pterjan <pterjan> 2.0.2-4.mga4
+ Revision: 558700
- Update for new binary extensions location

* Mon Dec 16 2013 pterjan <pterjan> 2.0.2-3.mga4
+ Revision: 557518
- Put the .so when it is expected

* Mon Oct 21 2013 umeabot <umeabot> 2.0.2-2.mga4
+ Revision: 538033
- Mageia 4 Mass Rebuild

* Sat Sep 28 2013 fwang <fwang> 2.0.2-1.mga4
+ Revision: 488349
- new version 2.0.2
- use new gem_install

* Sat Sep 28 2013 fwang <fwang> 1.1.5-4.mga4
+ Revision: 488196
- use gem_setup

* Fri Feb 08 2013 umeabot <umeabot> 1.1.5-3.mga3
+ Revision: 395991
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 1.1.5-2.mga3
+ Revision: 380888
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 01 2012 fwang <fwang> 1.1.5-1.mga3
+ Revision: 312212
- update file list
- new version 1.1.5

* Mon Sep 26 2011 fwang <fwang> 1.0.3-1.mga2
+ Revision: 147921
- new version 1.0.3

* Sun May 08 2011 shikamaru <shikamaru> 0.90.8-2.mga1
+ Revision: 96293
- add provides due to name change

* Mon Mar 14 2011 shikamaru <shikamaru> 0.90.8-1.mga1
+ Revision: 71358
- New version 0.90.8
- drop unneeded patch since we moved glib2 files to vendorlibdir
- move files to vendorlibdir/vendorarchdir
- fix file list
- add versioned requirement for ruby-glib2

* Tue Feb 08 2011 shikamaru <shikamaru> 0.90.7-1.mga1
+ Revision: 49126
- imported package ruby-gdk_pixbuf2

